Manage firewall settings for your virtual server

Enable or disable the firewall for a specific VM. Set the default inbound traffic policy to either accept or drop all traffic not matching specific rules.

VPS Services Firewall

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
enable integer required · Example: 1
policy_in string · enum required · Example: DROP
ACCEPT
DROP

Responses

200
data object required
data.message string required · Example: Firewall options updated successfully

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

PUT https://cloud.hostup.se/api/vm/{vmid}/firewall/options
For AI assistants
cURL
curl -X PUT "https://cloud.hostup.se/api/vm/10000/firewall/options" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "enable": 1,
    "policy_in": "DROP"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "message": "Firewall options updated successfully"
  }
}
Request Body Example 1
{
  "enable": 1,
  "policy_in": "DROP"
}